
Infrastructure - Bug #2921

ONEMercury empty search creates servlet exception

2012-06-12 15:44 - Skye Roseboom

Status: Closed Start date: 2012-06-12

Priority: Normal Due date:  

Assignee: Skye Roseboom % Done: 100%

Category: d1_mercury Estimated time: 0.00 hour

Target version: Sprint-2012.23-Block.3.4   

Milestone: CCI-1.0.1 Story Points:  

Product Version: *   

Description

At one time the ONEMercury front-end javascript would detect an empty search and prevent search submission, while generating a

message to the user that an empty search was entered but not allowed.

This seems to have broken recently - effects current trunk and 1.0.0 release version of ONEMercury.

Will fix on trunk.   Potential to move onto release patch branch if fix is desired in release.

History

#1 - 2012-06-12 15:44 - Skye Roseboom

- Status changed from New to In Progress

#2 - 2012-06-12 16:17 - Skye Roseboom

- File redmine2921.patch added

- Status changed from In Progress to Closed

Fixed on trunk.  Patch file attached to apply to release branch if desired.

Javascript changes filed in from mercury to support google maps v3 api created this issue.

#3 - 2012-06-14 22:47 - Skye Roseboom

- Milestone changed from CCI-1.0.0 to CCI-1.0.1

Applied to 1.0.1 patch release for mercury_ui and also applied to trunk

Files

redmine2921.patch 783 Bytes 2012-06-12 Skye Roseboom
